Topic: ruby 1.8.6

Hi, i have just upgraded Ruby, and none of my apps work anymor, heres the trace of a typical error i am getting http://pastie.caboo.se/85938. Whats gone wrong please?